Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOOrdersPriceData.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOOrdersPriceData.cs	(nonexistent)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOOrdersPriceData.cs	(revision 6)
@@ -0,0 +1,402 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Data;
+using System.Collections;
+
+using log4net;
+using Oracle.ManagedDataAccess.Client;
+
+using ProcessManagement.DB.Oracle;
+using ProcessManagement.DB.Core;
+using ProcessManagement.DataModel;
+using ProcessManagement.Common;
+
+namespace ProcessManagement.DB.IOAccess
+{
+    /// <summary>
+    /// 受注金額データＤＢアクセス
+    /// </summary>
+    public class IOOrdersPriceData : OracleProcess
+    {
+        #region 定義部
+        /// <summary>
+        /// log4netログを使用する
+        /// </summary>
+        private static readonly ILog logger = LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        /// <summary>
+        /// 担当者毎経費データフィールド並び
+        /// </summary>
+        public enum OrdersPriceDataColumn
+        {
+            ConstructionCode = 0,       // 工事コード
+            ChangeNo,	                // 変更番号
+            ChangeDate,	                // 変更日
+            ChangePersonCode,           // 変更者コード
+            ChangePersonName,           // 変更者名
+            BeforeValue,                // 変更前税抜受注金額
+            BeforeValueInTax,           // 　〃　税込受注金額
+            AfterValue,                 // 変更後税抜受注金額
+            AfterValueInTax,            // 　〃　税込受注金額
+            ChangeComment,              // 変更理由
+
+            EntryDate,
+            UpdateDate,
+        }
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// コンストラクタ
+        /// </summary>
+        /// <param name="ConnectionString"></param>
+        public IOOrdersPriceData()
+            : base(DBCommon.Instance.DBConnectString)
+        {
+        }
+
+        #endregion
+
+        #region SQL作成
+        /// <summary>
+        /// SQL作成
+        /// </summary>
+        private string CreateSelectSQL()
+        {
+            // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+            string strcmd = "SELECT";
+
+            strcmd += "  ConstructionCode";             // 工事コード
+            strcmd += " ,ChangeNo";	                    // 変更番号
+            strcmd += " ,ChangeDate";	                // 変更日
+            strcmd += " ,ChangePersonCode";             // 変更者コード
+            strcmd += " ,ChangePersonName";             // 変更者名
+            strcmd += " ,BeforeValue";                  // 変更前税抜受注金額
+            strcmd += " ,BeforeValueInTax";             // 　〃　税込受注金額
+            strcmd += " ,AfterValue";                   // 変更後税抜受注金額
+            strcmd += " ,AfterValueInTax";              // 　〃　税込受注金額
+            strcmd += " ,ChangeComment";                // 変更理由
+
+            strcmd += ", TO_CHAR(EntryDate, 'YYYY/MM/DD HH24:MI:ss')";
+            strcmd += ", TO_CHAR(UpdateDate, 'YYYY/MM/DD HH24:MI:ss')";
+            strcmd += " FROM OrdersPriceData";
+
+            return strcmd;
+        }
+        #endregion
+
+        #region 複数読込み処理
+        public bool SelectAction(string AddSQLString, ref List<OrdersPriceData> data, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成
+                strcmd = CreateSelectSQL() + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    OrdersPriceData work = new OrdersPriceData();
+                    Reader2Struct(objwrk, ref work);
+                    data.Add(work);
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 1件読込み処理
+        public bool SelectAction(string AddSQLString, ref OrdersPriceData data, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                strcmd = CreateSelectSQL() + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (arData.Count == 0) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    Reader2Struct(objwrk, ref data);
+                    break;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 1件追加処理
+        /// <summary>
+        /// 担当者毎経費データ追加
+        /// </summary>
+        /// <param name="data">担当者毎経費データデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool InsertAction(OrdersPriceData work, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                strcmd = "INSERT INTO OrdersPriceData";
+
+                strcmd += " VALUES (";
+
+                strcmd += string.Format("  {0}", work.ConstructionCode);                    // 工事コード
+
+                strcmd += string.Format(", {0}", work.ChangeNo);	                        // 変更番号
+                strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')"
+                                                , work.ChangeDate.ToShortDateString());	    // 変更日
+                strcmd += string.Format(", {0}", work.ChangePersonCode);                    // 変更者コード
+                strcmd += string.Format(",'{0}'", work.ChangePersonName);                   // 変更者名
+                
+                strcmd += string.Format(", {0}", work.BeforeValue);                         // 変更前税抜受注金額
+                strcmd += string.Format(", {0}", work.BeforeValueInTax);                    // 　〃　税込受注金額
+                strcmd += string.Format(", {0}", work.AfterValue);                          // 変更後税抜受注金額
+                strcmd += string.Format(", {0}", work.AfterValueInTax);                     // 　〃　税込受注金額
+
+                strcmd += string.Format(",'{0}'", work.ChangeComment);                      // 変更理由
+
+                strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strcmd = strcmd + ")";
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 複数追加処理
+        public bool InsertAction(List<OrdersPriceData> data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                foreach (OrdersPriceData work in data)
+                {
+                    if (!InsertAction(work, bConnect)) return false;
+                }
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 更新処理
+        /// <summary>
+        /// 担当者毎経費データ更新
+        /// </summary>
+        /// <param name="AddSQLString">更新条件SQL文字列</param>
+        /// <param name="data">担当者毎経費データデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool UpdateAction(string AddSQLString, OrdersPriceData data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                strcmd = "UPDATE OrdersPriceData";
+
+                strcmd += " SET";
+
+                strcmd += string.Format(" ConstructionCode = {0}", data.ConstructionCode);                  // 工事コード
+
+                strcmd += string.Format(",ChangeNo = {0}", data.ChangeNo);	                                // 変更番号
+                strcmd += string.Format(",ChangeDate = TO_DATE('{0}','YYYY/MM/DD')"
+                                        , data.ChangeDate.ToShortDateString());	                            // 変更日
+                strcmd += string.Format(",ChangePersonCode = {0}", data.ChangePersonCode);                  // 変更者コード
+                strcmd += string.Format(",ChangePersonName = '{0}'", data.ChangePersonName);                // 変更者名
+                
+                strcmd += string.Format(",BeforeValue = {0}", data.BeforeValue);                            // 変更前税抜受注金額
+                strcmd += string.Format(",BeforeValueInTax = {0}", data.BeforeValueInTax);                  // 　〃　税込受注金額
+                strcmd += string.Format(",AfterValue = {0}", data.AfterValue);                              // 変更後税抜受注金額
+                strcmd += string.Format(",AfterValueInTax = {0}", data.AfterValueInTax);                    // 　〃　税込受注金額
+
+                strcmd += string.Format(",ChangeComment = '{0}'", data.ChangeComment);                      // 変更理由
+
+                strcmd += ", UpdateDate = TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strcmd += AddSQLString;
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 削除処理
+        /// <summary>
+        /// 担当者毎経費データ削除
+        /// </summary>
+        /// <param name="AddSQLString">削除条件SQL文字列</param>
+        /// <param name="data">担当者毎経費データデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool DeleteAction(string AddSQLString, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            try
+            {
+                strcmd = string.Format("{0}{1}", "DELETE FROM OrdersPriceData", AddSQLString);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region データセット処理
+        /// <summary>
+        /// OracleDataReaderより構造体へセットする
+        /// </summary>
+        /// <param name="reader">OracleDataReader</param>
+        /// <param name="wrk">構造体</param>
+        public void Reader2Struct(object[] objwrk, ref OrdersPriceData wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.ConstructionCode = int.Parse(objwrk[(int)OrdersPriceDataColumn.ConstructionCode].ToString());                   // 工事コード
+                wrk.ChangeNo = int.Parse(objwrk[(int)OrdersPriceDataColumn.ChangeNo].ToString());	                                // 変更番号
+                wrk.ChangeDate = DateTime.Parse(objwrk[(int)OrdersPriceDataColumn.ChangeDate].ToString());	                        // 変更日
+                wrk.ChangePersonCode = int.Parse(objwrk[(int)OrdersPriceDataColumn.ChangePersonCode].ToString());                   // 変更者コード
+                wrk.ChangePersonName = objwrk[(int)OrdersPriceDataColumn.ChangePersonName].ToString();                              // 変更者名
+
+                wrk.BeforeValue = int.Parse(objwrk[(int)OrdersPriceDataColumn.BeforeValue].ToString());                             // 変更前税抜受注金額
+                wrk.BeforeValueInTax = int.Parse(objwrk[(int)OrdersPriceDataColumn.BeforeValueInTax].ToString());                   // 　〃　税込受注金額
+                wrk.AfterValue = int.Parse(objwrk[(int)OrdersPriceDataColumn.AfterValue].ToString());                               // 変更後税抜受注金額
+                wrk.AfterValueInTax = int.Parse(objwrk[(int)OrdersPriceDataColumn.AfterValueInTax].ToString());                     // 　〃　税込受注金額
+
+                wrk.ChangeComment = objwrk[(int)OrdersPriceDataColumn.ChangeComment].ToString();                                    // 変更理由
+
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)OrdersPriceDataColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)OrdersPriceDataColumn.UpdateDate].ToString());
+            }
+            catch (OracleException oraex)
+            {
+                logger.ErrorFormat("オラクルエラー：{0}：{1}", CommonMotions.GetMethodName(2), oraex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(2), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 検索文字列作成処理
+        /// <summary>
+        /// 主キー検索の文字列を返す
+        /// </summary>
+        /// <param name="PersonCode"></param>
+        /// <param name="ActionDate"></param>
+        /// <param name="DataType"></param>
+        /// <param name="DataAddCount"></param>
+        /// <returns></returns>
+        public string CreatePrimarykeyString(int ConstructionCode, int ChangeNo = 0)
+        {
+            string strWork = "";
+            try
+            {
+                strWork = string.Format(" WHERE ConstructionCode = {0}", ConstructionCode);
+                if (ChangeNo != 0)
+                    strWork += string.Format(" AND ChangeNo = {0}", ChangeNo);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+            }
+
+            return strWork;
+        }
+        #endregion
+
+        #region 追加番号の最大値を取得
+        /// <summary>
+        /// 追加番号の最大値を取得する
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public int SelectMaxAddDataCount(string AddSQLString, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+            int iRet = 0;
+            try
+            {
+                // SQL作成
+                strcmd = "SELECT NVL(MAX(ChangeNo), 0) FROM OrdersPriceData" + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    if (objwrk[0].ToString().Equals("null"))
+                        iRet = 0;
+                    else
+                        iRet = int.Parse(objwrk[0].ToString());
+                }
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+            }
+            return iRet;
+        }
+        #endregion
+    }
+}
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPointingOutComment.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPointingOutComment.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPointingOutComment.cs	(revision 6)
@@ -355,7 +355,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(SeqNo) FROM PointingOutComment" + AddSQLString;
+                strcmd = "SELECT NVL(MAX(SeqNo), 0) FROM PointingOutComment" + AddSQLString;
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProceedingsDataDetail.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProceedingsDataDetail.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProceedingsDataDetail.cs	(revision 6)
@@ -52,11 +52,11 @@
             /// <summary>
             /// 議題番号
             /// </summary>
-            TitileNo,
+            TitleNo,
             /// <summary>
             /// 議題
             /// </summary>
-            Titile,
+            Title,
             /// <summary>
             /// 内容
             /// </summary>
@@ -194,8 +194,8 @@
                 strcmd += string.Format(", {0}", work.ConstructionCode);                    // 工事番号
                 strcmd += string.Format(", {0}", work.SeqNo);                               // データ行番号
 
-                strcmd += string.Format(", {0}", work.TitileNo);                            // 議題番号
-                strcmd += string.Format(",'{0}'", work.Titile);                             // 議題
+                strcmd += string.Format(", {0}", work.TitleNo);                            // 議題番号
+                strcmd += string.Format(",'{0}'", work.Title);                             // 議題
                 strcmd += string.Format(",'{0}'", work.Contents);                           // 内容
 
                 strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
@@ -258,8 +258,8 @@
                 strcmd += string.Format(",ConstructionCode = {0}", data.ConstructionCode);      // 工事番号
                 strcmd += string.Format(",SeqNo = {0}", data.SeqNo);                            // データ行番号
 
-                strcmd += string.Format(",TitileNo = {0}", data.TitileNo);                      // 議題番号
-                strcmd += string.Format(",Titile = '{0}'", data.Titile);                        // 議題
+                strcmd += string.Format(",TitileNo = {0}", data.TitleNo);                       // 議題番号
+                strcmd += string.Format(",Titile = '{0}'", data.Title);                         // 議題
                 strcmd += string.Format(",Contents = '{0}'", data.Contents);                    // 内容
 
                 strcmd += ", UpdateDate = TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
@@ -320,8 +320,8 @@
                 wrk.ConstructionCode = int.Parse(objwrk[(int)DataColumn.ConstructionCode].ToString());      // 工事番号
                 wrk.SeqNo = int.Parse(objwrk[(int)DataColumn.SeqNo].ToString());                            // データ行番号
 
-                wrk.TitileNo = int.Parse(objwrk[(int)DataColumn.TitileNo].ToString());                      // 議題番号
-                wrk.Titile = objwrk[(int)DataColumn.Titile].ToString();                                     // 議題
+                wrk.TitleNo = int.Parse(objwrk[(int)DataColumn.TitleNo].ToString());                        // 議題番号
+                wrk.Title = objwrk[(int)DataColumn.Title].ToString();                                       // 議題
                 wrk.Contents = objwrk[(int)DataColumn.Contents].ToString();                                 // 内容
 
                 wrk.EntryDate = DateTime.Parse(objwrk[(int)DataColumn.EntryDate].ToString());
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProcessApproval.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProcessApproval.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProcessApproval.cs	(revision 6)
@@ -376,7 +376,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(SeqNo) FROM ProcessApproval" + AddSQLString;
+                strcmd = "SELECT NVL(MAX(SeqNo), 0) FROM ProcessApproval" + AddSQLString;
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPurchaseOrder.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPurchaseOrder.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPurchaseOrder.cs	(revision 6)
@@ -491,7 +491,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(SeqNo) FROM PurchaseOrder" + AddSQLString;
+                strcmd = "SELECT NVL(MAX(SeqNo), 0) FROM PurchaseOrder" + AddSQLString;
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
Index: trunk/src/ProcessManagement/ProcessManagement/DataModel/CalennderPage.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DataModel/CalennderPage.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DataModel/CalennderPage.cs	(revision 6)
@@ -16,7 +16,7 @@
         /// <summary>
         /// 週タイトル
         /// </summary>
-        private Label[] m_lblWeekTitile = new Label[7];
+        private Label[] m_lblWeekTitle = new Label[7];
         /// <summary>
         /// 日データ
         /// </summary>
@@ -25,10 +25,10 @@
         /// <summary>
         /// 週タイトル
         /// </summary>
-        public Label[] lblWeekTitile
+        public Label[] lblWeekTitle
         {
-            get { return m_lblWeekTitile; }
-            set { m_lblWeekTitile = value; }
+            get { return m_lblWeekTitle; }
+            set { m_lblWeekTitle = value; }
         }
         /// <summary>
         /// 日データ
Index: trunk/src/ProcessManagement/ProcessManagement/DataModel/ConstructionBaseInfo.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DataModel/ConstructionBaseInfo.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DataModel/ConstructionBaseInfo.cs	(revision 6)
@@ -12,7 +12,8 @@
     {
         #region メンバ変数
 
-        private int         m_ConstructionCode = 0;	                            // 工事コード	
+        private int         m_ConstructionCode = 0;	                            // 工事コード
+        private int         m_TyingFlg = 0;                                     // 紐付データフラグ
         private int         m_ConstructionYear = 0;	                            // 工事年度
         private int         m_ConstructionPeriod = 0;	                        // 工事期
         private DateTime    m_RequestedDate = DateTime.MinValue;                // 依頼受け日
@@ -75,6 +76,14 @@
             set { m_ConstructionCode = value; }
         }
         /// <summary>
+        /// 紐付データフラグ
+        /// </summary>
+        public int TyingFlg
+        {
+            get { return m_TyingFlg; }
+            set { m_TyingFlg = value; }
+        }
+        /// <summary>
         /// 工事年度
         /// </summary>
         public int ConstructionYear
Index: trunk/src/ProcessManagement/ProcessManagement/DataModel/ConstructionBudget.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DataModel/ConstructionBudget.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DataModel/ConstructionBudget.cs	(revision 6)
@@ -17,6 +17,11 @@
         private int         m_CreatorCode = 0;                          // 作成者コード
         private string      m_CreatorName = string.Empty;               // 作成者名
         private double      m_CreatorCosts = 0;                         // 作成者給与
+
+        private int         m_AssistantCode	= 0;                        // 副担当者コード
+        private string      m_AssistantName = string.Empty;             // 副担当者名
+        private double      m_AssistantCosts = 0;                       // 副担当者給与
+
         private int         m_InstructorCode = 0;                       // 工事指導員コード
         private string      m_InstructorName = string.Empty;            // 工事指導員名
         private double      m_InstructorCosts = 0;                      // 工事指導員給与
@@ -30,6 +35,12 @@
         private int         m_SalaryFlg = 0;                            // 給与振分区分
         private int         m_SalaryDays = 0;                           // 振分日数
 
+        private int         m_A_SalaryFlg = 0;                          // 副担当者給与振分区分
+        private int         m_A_SalaryDays = 0;                         // 副担当者振分日数
+
+        private int         m_I_SalaryFlg = 0;                          // 指導員給与振分区分
+        private int         m_I_SalaryDays = 0;                         // 指導員振分日数
+
         private DateTime    m_EntryDate = DateTime.Now;                 // 登録日付
         private DateTime    m_UpdateDate = DateTime.Now;                // 更新日付
         #endregion
@@ -71,6 +82,30 @@
             set { m_CreatorCosts = value; }
         }
         /// <summary>
+        /// 副担当者コード
+        /// </summary>
+        public int AssistantCode
+        {
+            get { return m_AssistantCode; }
+            set { m_AssistantCode = value; }
+        }
+        /// <summary>
+        /// 副担当者名
+        /// </summary>
+        public string AssistantName
+        {
+            get { return m_AssistantName; }
+            set { m_AssistantName = value; }
+        }
+        /// <summary>
+        /// 副担当者給与
+        /// </summary>
+        public double AssistantCosts
+        {
+            get { return m_AssistantCosts; }
+            set { m_AssistantCosts = value; }
+        }
+        /// <summary>
         /// 工事指導員コード
         /// </summary>
         public int InstructorCode
@@ -136,7 +171,7 @@
         }
 
         /// <summary>
-        /// 給与振分区分
+        /// 担当者給与振分区分
         /// </summary>
         public int SalaryFlg
         {
@@ -143,9 +178,8 @@
             get { return m_SalaryFlg; }
             set { m_SalaryFlg = value; }
         }
-
         /// <summary>
-        /// 振分日数
+        /// 担当者振分日数
         /// </summary>
         public int SalaryDays
         {
@@ -152,7 +186,42 @@
             get { return m_SalaryDays; }
             set { m_SalaryDays = value; }
         }
+
         /// <summary>
+        /// 副担当者給与振分区分
+        /// </summary>
+        public int A_SalaryFlg
+        {
+            get { return m_A_SalaryFlg; }
+            set { m_A_SalaryFlg = value; }
+        }
+        /// <summary>
+        /// 副担当者振分日数
+        /// </summary>
+        public int A_SalaryDays
+        {
+            get { return m_A_SalaryDays; }
+            set { m_A_SalaryDays = value; }
+        }
+
+        /// <summary>
+        /// 指導員給与振分区分
+        /// </summary>
+        public int I_SalaryFlg
+        {
+            get { return m_I_SalaryFlg; }
+            set { m_I_SalaryFlg = value; }
+        }
+        /// <summary>
+        /// 指導員振分日数
+        /// </summary>
+        public int I_SalaryDays
+        {
+            get { return m_I_SalaryDays; }
+            set { m_I_SalaryDays = value; }
+        }
+
+        /// <summary>
         /// 登録日付
         /// </summary>
         public DateTime EntryDate
Index: trunk/src/ProcessManagement/ProcessManagement/DataModel/ConstructionLedgerDetail.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DataModel/ConstructionLedgerDetail.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DataModel/ConstructionLedgerDetail.cs	(revision 6)
@@ -30,6 +30,7 @@
 
         private int     m_FixDataFlg = 0;                   // 固定データフラグ
         private int     m_IndependentFlg = 0;               // 独立データフラグ
+        private int     m_FluctuationFlg = 0;               // 増減データフラグ
 
         private DateTime m_EntryDate = DateTime.Now;        // 登録日付
         private DateTime m_UpdateDate = DateTime.Now;       // 更新日付
@@ -168,6 +169,14 @@
             get { return m_IndependentFlg; }
             set { m_IndependentFlg = value; }
         }
+        /// <summary>
+        /// 増減データフラグ
+        /// </summary>
+        public int FluctuationFlg
+        {
+            get { return m_FluctuationFlg; }
+            set { m_FluctuationFlg = value; }
+        }
 
         /// <summary>
         /// 登録日付
Index: trunk/src/ProcessManagement/ProcessManagement/DataModel/ConstructionLink.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DataModel/ConstructionLink.cs	(nonexistent)
+++ trunk/src/ProcessManagement/ProcessManagement/DataModel/ConstructionLink.cs	(revision 6)
@@ -0,0 +1,62 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+
+namespace ProcessManagement.DataModel
+{
+    /// <summary>
+    /// 工事増減情報データモデル
+    /// </summary>
+    public class ConstructionLink
+    {
+        #region 定数
+        #endregion
+
+        #region メンバ変数
+
+        private int m_ConstructionCode = 0;	                // 親工事コード	
+        private int m_FluctuationCode = 0;	                // 子工事コード	
+        private DateTime m_EntryDate = DateTime.Now;        // 登録日付
+        private DateTime m_UpdateDate = DateTime.Now;       // 更新日付
+        #endregion
+
+        #region コンストラクタ
+        #endregion
+
+        #region プロパティ
+        /// <summary>
+        /// 工事コード	
+        /// </summary>
+        public int ConstructionCode
+        {
+            get { return m_ConstructionCode; }
+            set { m_ConstructionCode = value; }
+        }
+        /// <summary>
+        /// 子工事コード	
+        /// </summary>
+        public int FluctuationCode
+        {
+            get { return m_FluctuationCode; }
+            set { m_FluctuationCode = value; }
+        }
+        /// <summary>
+        /// 登録日付
+        /// </summary>
+        public DateTime EntryDate
+        {
+            set { m_EntryDate = value; }
+            get { return m_EntryDate; }
+        }
+        /// <summary>
+        /// 更新日付
+        /// </summary>
+        public DateTime UpdateDate
+        {
+            set { m_UpdateDate = value; }
+            get { return m_UpdateDate; }
+        }
+        #endregion
+    }
+}
